Loading...
Searching...
No Matches
Signal Queue API.
I/O

Signal Queue API. More...

Collaboration diagram for Signal Queue API.:

## Functions

int | rpmsqBlock (int op)

## Detailed Description

Signal Queue API.

## Function Documentation

## rpmsqBlock()

int rpmsqBlock | ( | int | op | ) |

Block or unblock (almost) all signals. The operation is "reference counted" so the calls can be nested, and signals are only unblocked when the reference count falls to zero.

Parameters

  op | SIG_BLOCK/SIG_UNBLOCK

Returns
  0 on success, -1 on error